{instancesFunctions}: let
  inherit (instancesFunctions) domain1 servicePath sslPath sopsPath;
  castopodLabel = "Castopod";
  castopodName = "castopod";
  castopodSubdomain = "podcast";
in {
  label = castopodLabel;
  name = castopodName;
  email = {
    address0 = "noreply@${castopodSubdomain}.${domain1}";
  };
  sops = {
    path0 = "${sopsPath}/${castopodName}";
  };
  subdomain = castopodSubdomain;
  paths = {
    path0 = "${servicePath}/${castopodLabel}";
  };
  ports = {
    port0 = 8000;
  };
  ssl = {
    cert = "${sslPath}/${castopodSubdomain}.${domain1}/fullchain.pem";
    key = "${sslPath}/${castopodSubdomain}.${domain1}/key.pem";
  };
}
