{instancesFunctions}: let
  inherit (instancesFunctions) domain1 servicePath sslPath sopsPath varLib;

  wikiLabel = "Wiki-js";
  wikiName = "wiki-js";
  wikiSubdomain = "vault";
in {
  label = wikiLabel;
  name = wikiName;
  sops = {
    path0 = "${sopsPath}/${wikiName}";
  };
  subdomain = wikiSubdomain;
  paths = {
    path0 = "${servicePath}/${wikiLabel}";
    path1 = "${varLib}/DataDir";
  };
  ports = {
    port0 = 3000;
    port1 = 5432;
  };
  ssl = {
    cert = "${sslPath}/${wikiSubdomain}.${domain1}/fullchain.pem";
    key = "${sslPath}/${wikiSubdomain}.${domain1}/key.pem";
  };
}
